<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>
<script>
    function isPalindrome(word) {
        if (word.length <= 1) {
            return true
        }
        if (word[0] != word[word.length - 1]) {
            return false
        }
        let subWord = word.substring(1, word.length - 1)
        return isPalindrome(subWord)
    }

    console.log("racecar", isPalindrome("racecar"))
    console.log("sins", isPalindrome("sins"))
    console.log("hello", isPalindrome("hello"))
    console.log("a", isPalindrome("a"))

    // function flippedWord(word) {
    //     return word == word.reversed()
    // }
</script>

</html>